lens-4.13: Lenses, Folds and Traversals

Copyright | (C) 2012-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

Control.Lens.Internal.Getter

Description

Synopsis

- noEffect :: (Contravariant f, Applicative f) => f a
- newtype AlongsideLeft f b a = AlongsideLeft {
  - getAlongsideLeft :: f (a, b)
  }
- newtype AlongsideRight f a b = AlongsideRight {
  - getAlongsideRight :: f (a, b)
  }

# Documentation

noEffect :: (Contravariant f, Applicative f) => f a Source

The `mempty` equivalent for a `Contravariant` `Applicative` `Functor`.

newtype AlongsideLeft f b a Source

Constructors

AlongsideLeft |

Fields

getAlongsideLeft :: f (a, b)

Instances

Functor f => Bifunctor (AlongsideLeft f) Source |
Traversable f => Bitraversable (AlongsideLeft f) Source |
Foldable f => Bifoldable (AlongsideLeft f) Source |
Functor f => Functor (AlongsideLeft f b) Source |
Foldable f => Foldable (AlongsideLeft f b) Source |
Traversable f => Traversable (AlongsideLeft f b) Source |
Contravariant f => Contravariant (AlongsideLeft f b) Source |
Traversable1 f => Traversable1 (AlongsideLeft f b) Source |
Foldable1 f => Foldable1 (AlongsideLeft f b) Source |
Read (f (a, b)) => Read (AlongsideLeft f b a) Source |
Show (f (a, b)) => Show (AlongsideLeft f b a) Source |

newtype AlongsideRight f a b Source

Constructors

AlongsideRight |

Fields

getAlongsideRight :: f (a, b)

Instances

Functor f => Bifunctor (AlongsideRight f) Source |
Traversable f => Bitraversable (AlongsideRight f) Source |
Foldable f => Bifoldable (AlongsideRight f) Source |
Functor f => Functor (AlongsideRight f a) Source |
Foldable f => Foldable (AlongsideRight f a) Source |
Traversable f => Traversable (AlongsideRight f a) Source |
Contravariant f => Contravariant (AlongsideRight f a) Source |
Traversable1 f => Traversable1 (AlongsideRight f a) Source |
Foldable1 f => Foldable1 (AlongsideRight f a) Source |
Read (f (a, b)) => Read (AlongsideRight f a b) Source |
Show (f (a, b)) => Show (AlongsideRight f a b) Source |